VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Version Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Version:

## Avaliable Methods
public method | new ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Version` enumerated type defines the valid virtual hardware versions for a virtual machine. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_03 # Hardware version 3. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_04 # Hardware version 4. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_06 # Hardware version 6. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_07 # Hardware version 7. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_08 # Hardware version 8. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_09 # Hardware version 9. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_10 # Hardware version 10. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_11 # Hardware version 11. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_12 # Hardware version 12. Constant Com::Vmware::Vcenter::Vm::Hardware::Version::VMX_13 # Hardware version 13.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Version::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Version enumeration.

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 12
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $self = $class->SUPER::new();
my $bindingType = new Com::Vmware::Vapi::Bindings::Type::EnumType(
'name' => 'com.vmware.vcenter.vm.hardware.version',
'binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Version');
$class->SUPER::set_binding_type('binding_type' => $bindingType);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware.pm